Summary   	: An ELF object file access library.
Name	  	: libelf
Version	  	: 0.8.3
Release	  	: 3.0.0.%{_hhl_build_id}
Source	  	: libelf-0.8.3.tar.gz
Source1: libelf.tmpl
License 	: LGPL
Group	  	: libs
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Patch1: libelf-byteswap.patch

#
#	SRPM
#
Obsoletes : hhl-target-libelf
Obsoletes : hhl-%{_hhl_target_arch}-libelf

%description

The libelf package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

Libelf should be installed if you need access to ELF object file internals.

#
#	RPM
#


%prep

%target_check
%setup -n libelf-%{version}

%patch1 -p1

######

%build

%target_setup

# Why do people insist on using AC_TRY_RUN?
export mr_cv_target_elf=yes

# AC_FUNC_MMAP requires a run test; override it.
export ac_cv_func_mmap_fixed_mapped=yes

%target_acplatvars

# Avoid a gratuitous use of AC_PATH_PROG
LD=`which $LD`

%target_configure

%make

########

%install

%target_setup
rm -rf %{buildroot}

%target_makeinstall
cd ..
cp COPYING.LIB LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libelf

%clean
rm -rf %{buildroot}


%files -n libelf
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf/elf_repl.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf/gelf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf/libelf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf/nlist.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf/sys_elf.h
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libelf.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libelf.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libelf.so.0
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libelf.so.0.*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libelf
%doc LICENSE


%changelog
* Mon Apr 21 2003 Daniel Jacobowitz <drow@mvista.com> 0.8.3-3
- Fix overlapping copy bugs in the byteswap routines.
* Thu Apr 17 2003 Daniel Jacobowitz <drow@mvista.com> 0.8.3-2
- Override the result of AC_FUNC_MMAP.
* Tue Apr 15 2003 Daniel Jacobowitz <drow@mvista.com> 0.8.3-1
- Update to libelf 0.8.3.
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Sun Apr 08 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


